Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.graph
Class GraphQueryHandlerSDB

    java.lang.Object
      com.hp.hpl.jena.graph.query.SimpleQueryHandler
          com.hp.hpl.jena.sdb.graph.GraphQueryHandlerSDB

All Implemented Interfaces:
  com.hp.hpl.jena.graph.query.QueryHandler

    public class GraphQueryHandlerSDB

extends com.hp.hpl.jena.graph.query.SimpleQueryHandler

Constructor Summary
`GraphQueryHandlerSDB(com.hp.hpl.jena.graph.Graph graph, com.hp.hpl.jena.graph.Node graphNode, DatasetStoreGraph datasetStore)`

Method Summary
`com.hp.hpl.jena.graph.query.BindingQueryPlan` | `prepareBindings(com.hp.hpl.jena.graph.query.Query q, com.hp.hpl.jena.graph.Node[] variables)`
`com.hp.hpl.jena.graph.query.TreeQueryPlan` | `prepareTree(com.hp.hpl.jena.graph.Graph pattern)`

Methods inherited from class com.hp.hpl.jena.graph.query.SimpleQueryHandler
`containsNode, objectsFor, objectsFor, patternStage, predicatesFor, predicatesFor, subjectsFor, subjectsFor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphQueryHandlerSDB

    public GraphQueryHandlerSDB(com.hp.hpl.jena.graph.Graph graph,
                                com.hp.hpl.jena.graph.Node graphNode,
                                DatasetStoreGraph datasetStore)

Method Detail

### prepareTree

    public final com.hp.hpl.jena.graph.query.TreeQueryPlan prepareTree(com.hp.hpl.jena.graph.Graph pattern)

  Specified by:
    `prepareTree` in interface `com.hp.hpl.jena.graph.query.QueryHandler`
  Overrides:
    `prepareTree` in class `com.hp.hpl.jena.graph.query.SimpleQueryHandler`

### prepareBindings

    public com.hp.hpl.jena.graph.query.BindingQueryPlan prepareBindings(com.hp.hpl.jena.graph.query.Query q,
                                                                        com.hp.hpl.jena.graph.Node[] variables)

  Specified by:
    `prepareBindings` in interface `com.hp.hpl.jena.graph.query.QueryHandler`
  Overrides:
    `prepareBindings` in class `com.hp.hpl.jena.graph.query.SimpleQueryHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.